/**
 * Define the exit command.
 */

package extensions.generic;

import extensions.generic.*;
import java.awt.*;
import java.util.HashMap;
import javax.swing.*;
import javax.media.j3d.*;
import javax.vecmath.*;


public class RemoveCmd implements Command {
	private JList list;
	private DefaultListModel listModel;
	private HashMap[] molecules;
	private Locale locale;	
	
	public RemoveCmd(JList list, DefaultListModel listModel, 
	           HashMap[] molecules, Locale locale) {
		this.list = list;
		this.listModel = listModel;
		this.molecules = molecules;
		this.locale = locale;
	}
		
    public void Execute(){
    	
    	String[] sallitems = (String[])list.getSelectedValues();
		if(sallitems.length == 0) {
			System.out.println("You don't have the selected item!!!");
			return;
		}
				
		for(int i=0; i<sallitems.length; i++)
		  for(int j=0; j<molecules.length; j++)
			 if(((String)molecules[j].get("MOLECULE_ID")).equals(sallitems[i])) {
			     BranchGroup bg = (BranchGroup)molecules[j].get(sallitems[i]+"BG");
			     locale.removeBranchGraph(bg);
			     listModel.removeElement(sallitems[i]);
			 }
		
    }
}

